sub NDSPaths
	Set rs = CreateObject("WScript.Shell")
	on error resume next
	NDSRSrvPATH = rs.RegRead("HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\NDS Server0\ImagePath")

	dibdir = InStr(NDSRSrvPATH, "=")
	dibdir = dibdir+2
	enddibdir = InStr(dibdir,NDSRSrvPATH, "DIBFILES",1)
	pathlength = enddibdir - dibdir - 1
	NDSRPATH = Mid(NDSRSrvPATH,dibdir,pathlength)

	if NDSRPATH = "" then
		NDSRPATH = InputBox("Enter the path where eDirectory resides (dhost.exe)" & (chr(13) & chr(10)) & "Press Cancel to abort this update." , "NMAS 2.3.8.0", "c:\novell\nds")
			if NDSRPATH = "" then redver2 = "4"
	end if
end sub

sub pki
	Set secdll = CreateObject("Scripting.FileSystemObject")
    secfile = NDSRPATH + "\pki.dlm"

    If secdll.FileExists(secfile) Then
		secexist = secdll.GetFileVersion(secfile)
		If (secexist >= "2.7.7.0") Then
			version = "1"
		End If
	End If
end sub

sub ntls
	Set secdll = CreateObject("Scripting.FileSystemObject")
    secfile = NDSRPATH + "\ntls.dll"

    If secdll.FileExists(secfile) Then
		version = "1"
	Else
		version = "0"
	End If
end sub

sub NMASbackrev
	Set secdll = CreateObject("Scripting.FileSystemObject")
    secfile = NDSRPATH + "\nmas.dlm"

    If secdll.FileExists(secfile) Then
		secexist = secdll.GetFileVersion(secfile)
		If (secexist > "2.3.8.0") Then
			version = "0"
		End If
	End If
end sub

sub getNDSver
	Set rs = CreateObject("WScript.Shell")
	on error resume next
	redver = rs.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\NDSonNT\DisplayName")

	If (redver = "") Then
		redver = "No eDirectory"
		redver2 = "4"
		exit sub
	end if

	If (redver => "Novell eDirectory 8.7.4") Then
		redver2 = "4"
		exit sub
	end if

	If (redver => "Novell eDirectory 8.7.3") Then
		redver2 = "1"
		exit sub
	end if

	If (redver >= "Novell eDirectory 8.7.1") then
		redver2 = "2"
		exit sub
	end if

	If (redver = "Novell eDirectory 8.6.2") then
		redver2 = "4"
		exit sub
	end if

	If (redver = "Novell eDirectory") then
		redver2 = "1"
		exit sub
	end if

	redver2 = "4"
end sub

sub CS1PathFind
	Set rs = CreateObject("WScript.Shell")

	on error resume next
	CS1PATH = rs.RegRead("HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\ConsoleOne.exe\Path")

	if CS1PATH = "" then CS1PATH = "Not Installed"
end sub

rem ---------------------------
rem THIS IS THE MAIN PROGRAM
rem ---------------------------
dim secdll, version, secfile, secexist, NDSRPATH, redver2, CS1PATH

version= "0"

readme = MsgBox("Do you want to view the install readme?", VBYesNo, "NMAS 2.3.8.0")

rem get the path where NDS is installed
NDSPaths

rem get the version of pki
pki

If version = "1" Then ntls

If version = "1" Then NMASbackrev

rem get nds version
getNDSVer

rem get CS1Path
CS1PathFind

Set secdll = CreateObject("Scripting.FileSystemObject")


secfile = NDSRPATH + "\NMAS"

if secdll.FileExists(secfile) then
	set fs = secdll.GetFile(secfile)
	fs.Attributes = "0"
    secdll.DeleteFile(secfile)
End If

If version = "0" Then Msgbox("NMAS is dependant on the NTLS version 1.8.3.0 or higher and PKI version 2.7.7.0 or higher." & (chr(13) & chr(10)) & "One or both of these modules were not detected."	&(chr(13) & chr(10)) & "or NMAS on the server is newer than in this patch" &(chr(13) & chr(10)) & "Please download the latest Security Services Update at http://support.novell.com" & (chr(13) & chr(10)) & "(Knowledgebase and search for Security Update)" &(chr(13) & chr(10)) & 	"and apply before applying the NMAS server 2.3.8.0 update.")

Set fs = CreateObject("Scripting.FileSystemObject") 
strFN = fs.BuildPath(Wscript.ScriptFullName & "\..", "~nmasvars.bat") 
strFN = fs.GetAbsolutePathName(strFN) 
Set ts = fs.OpenTextFile(strFN, 2, True) 
ts.WriteLine "set NDSR_PATH=" & NDSRPATH
ts.WriteLine "set versioninst=" & version
ts.WriteLine "set view=" & readme
ts.WriteLine "set NDSver=" & redver2
ts.WriteLine "set CS1PATH=" & CS1PATH
ts.Close
